proc openHubLink { } {
GuidoApp app "HUB LAUNCH LINK"
set result [$app invoke]
$app destroy
}
proc updatePropertes { field checkbox } {
set value [$checkbox getCurrentValue]
if {$value == "N"} {
$field setNullAllowed false
} else {
$field setNullAllowed true
}
}
GuidoForm StartUsingHub {
-default_buttons
-help_id 1744
-label "Download Hub"
-layout BoxLayout Y_AXIS
GuidoPanel serverPanel {
-layout CentreLineLayout
GuidoLabel serverLabel {
-label "HUB_CLIENT_INSTALLER_ADDRESS"
}
GuidoField HubServerUrl {
-display_length 40
-max_length 256
-null false
-tip "FRM_DOWNLOADHUB_SERVER_TIP"
}
GuidoFiller filler3 {
-height 0.2
}
GuidoFiller filler3 {
-height 0.2
}
GuidoLabel dummy {
}
GuidoPanel panel_right {
-layout BoxLayout X_AXIS
GuidoCheckBox startHubMenu {
-default false
-selected_value Y
-alignmentY middle
-unselected_value N
-action valueChanged {[updatePropertes $HubServerUrl $startHubMenu]}
}
GuidoLabel startlabel {
-alignmentY middle
-label "download_hub_menu_tip"
}
}
}
GuidoFiller filler3 {
-height 0.5
}
GuidoPanel info2 {
-layout BoxLayout X_AXIS
-background 0.81 0.88 0.98
GuidoLabel icon {
-icon "icons/16/messager_filter_information.png"
}
GuidoFiller filler3 {
-width 0.5
}
GuidoLabel link {
-label download_hub_link
-action mouseClicked {[openHubLink]}
}
}
GuidoFiller filler3 {
-height 0.5
}
}
if { [$StartUsingHub interact] == "apply" } {
set URL [$HubServerUrl getCurrentValue]
if {$URL != ""} {
GuidoApp app "HUB DOWNLOAD HUB"
$app setParam "URL" $URL
set result [$app invoke]
$app destroy
}
set show_hub_val [$startHubMenu getCurrentValue]
GuidoExecServer "SetShowStartHubCmd" [subst {HideHub = "$show_hub_val"}]
}
